Datos de industria
De acuerdo con el ramo de actividades o sector de tu tienda, puedes incluir información adicional al momento de crear el pago que ayuda a aumentar las posibilidades de aprobación.
A continuación, encontrarás algunos datos específicos para estas industrias que puedes agregar a tu integración.
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
type | String | Tipo |
description | String | Descripción |
picture_url | String | URL de imagen |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
- Entregas (object
shipment)
Object shipment | Tipo | Descripción |
receiver_address | Object | Datos de dirección del comprador. |
zip_code | String | Código postal |
state_name | String | Provincia |
city_name | String | Ciudad |
street_number | Integer | Número de calle |
express_shipment | Boolean | True si lo es, False si no lo es. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Producto", "picture_url": "", "description": "Descripción de producto", "type": "test", "category_id": "fashion", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "first_name": "Maria", "last_name": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "city_name": "Osasco", "state_name": "São Paulo", "street_number": 1000 }, "express_shipment": false } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
warranty | Boolean | True si el producto tiene garantía, False si no la tiene. |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
- Entregas (object
shipment)
Object shipment | Tipo | Descripción |
local_pickup | Boolean | True si retira en sucursal, False si no lo hace |
receiver_address | Object | Datos de dirección del comprador. |
zip_code | String | Código postal |
state_name | String | Provincia |
city_name | String | Ciudad |
street_number | Integer | Número de calle |
express_shipment | Boolean | True si lo es, False si no lo es. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Producto", "category_id": "phones", "quantity": 1, "unit_price": 150, "warranty": false, } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com”, "first_name": "Maria", "last_name": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "city_name": "Osasco", "state_name": "São Paulo", "street_number": 1000 }, "express_shipment": false, "local_pickup": false } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
category_descriptor | Object | Descripción de la categoría |
event_date | Date | Fecha del evento. Debe enviarse dentro del objeto category_descriptor. Debe enviarse en formato ISO 8601 (fecha y hora, en UTC). |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
- Entregas (object
shipment)
Object shipment | Tipo | Descripción |
receiver_address | Object | Datos de dirección del comprador. |
zip_code | String | Código postal |
state_name | String | Provincia |
city_name | String | Ciudad |
street_number | Integer | Número de calle |
express_shipment | Boolean | True si lo es, False si no lo es. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Producto", "category_id": "entertainment", "quantity": 1, "unit_price": 150, "category_descriptor":{ "event_date": "2022-03-12T12:58:41.425-04:00" }, } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "first_name": "Maria", "last_name": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "city_name": "Osasco", "state_name": "São Paulo", "street_number": 1000 }, "express_shipment": false, "local_pickup": false } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
description | String | Descripción |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
warranty | Boolean | True si el producto tiene garantía, False si no la tiene. |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
- Entregas (object
shipment)
Object shipment | Tipo | Descripción |
receiver_address | Object | Datos de dirección del comprador. |
zip_code | String | Código postal |
state_name | String | Provincia |
city_name | String | Ciudad |
street_number | Integer | Número de calle |
express_shipment | Boolean | True si lo es, False si no lo es. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Producto", "picture_url": "", "description": "Descripción de producto", "category_id": "home", "quantity": 1, "unit_price": 150, "warranty": false, } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "first_name": "Maria", "last_name": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "city_name": "Osasco", "state_name": "São Paulo", "street_number": 1000 }, "express_shipment": false, "local_pickup": false } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Producto", "picture_url": "", "description": "Descripción de producto", "category_id": "services", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Maria", "surname": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
description | String | Descripción |
picture_url | String | URL de imagen |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
- Entregas (object
shipment)
Object shipment | Tipo | Descripción |
receiver_address | Object | Datos de dirección del comprador. |
zip_code | String | Código postal |
state_name | String | Provincia |
city_name | String | Ciudad |
street_number | Integer | Número de calle |
express_shipment | Boolean | True si lo es, False si no lo es. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/us/home/failure", "pending": "https://www.mercadopago.com/us/home/pending", "success": "https://www.mercadopago.com/us/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Producto", "picture_url": "", "description": "Descripción de producto", "category_id": "others", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Maria", "surname": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "city_name": "Osasco", "state_name": "São Paulo", "street_number": 1000 }, "express_shipment": false, "local_pickup": false } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
description | String | Descripción |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
category_descriptor | Object | Descripción de la categoría |
event_date | Date | Fecha del evento |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
- Entregas (object
shipment)
Object shipment | Tipo | Descripción |
receiver_address | Object | Datos de dirección del comprador. |
zip_code | String | Código postal |
state_name | String | Provincia |
city_name | String | Ciudad |
street_number | Integer | Número de calle |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Servicio", "picture_url": "", "description": "Descripción de servicio", "category_id": "services", "quantity": 1, "unit_price": 150, "category_descriptor":{ "event_date": "2022-03-12T12:58:41.425-04:00" }, } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Maria", "surname": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "receiver_address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "city_name": "Osasco", "state_name": "São Paulo", "street_number": 1000 } } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
description | String | Descripción |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
category_descriptor | Object | Descripción de la categoría. |
passenger | Object | Información adicional del pasajero. |
first_name | String | Nombre |
last_name | String | Apellido |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
route | Object | Información de la ruta |
departure | String | Salida |
destination | String | Llegada |
departure_date_time | Date | Fecha de salida. Ejemplo: 2024-06-20T06:20:00.000-04:00. |
arrival_date_time | Date | Fecha de llegada |
company | String | Compañía |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Servicio", "description": "Descripción de servicio", "category_id": "Travels", "category_descriptor":{ "passenger": { "first_name": "Maria", "last_name": "Silva", "type": "CPF", "number": 12345678 }, "route": { "departure": "Osasco", "destination": "Londres", "departure_date_time": "2022-03-12T12:58:41.425-04:00", "arrival_date_time": "2022-03-14T12:58:41.425-04:00", "company": "Compañía" } }, "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Maria", "surname": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
event_date | Date | Fecha del evento |
category_descriptor | Object | Descripción de la categoría. |
passenger | Object | Información adicional del pasajero. |
first_name | String | Nombre |
last_name | String | Apellido |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Servicio", "description": "Descripción de servicio", "category_id": "Travels", "category_descriptor": { "event_date": "2020-06-02T12:58:41.425-04:00", "passenger": { "first_name": "Maria", "last_name": "Silva", "type": "CPF", "number": 12345678 } }, "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Maria", "surname": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Producto", "picture_url": "", "category_id": "others", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Maria", "surname": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
description | String | Descripción |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
- Entregas (object
shipment)
Object shipment | Tipo | Descripción |
receiver_address | Object | Datos de dirección del comprador. |
zip_code | String | Código postal |
state_name | String | Provincia |
city_name | String | Ciudad |
street_number | Integer | Número de calle |
floor | String | Piso |
apartment | String | Apartamento |
local_pickup | Boolean | True si se retira en sucursal, False si no lo hace. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Producto", "picture_url": "", "description": "Descripción de producto", "category_id": "others", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Maria", "surname": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_prime_user": false, "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "local_pickup": false, "receiver_address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "city_name": "Osasco", "state_name": "São Paulo", "street_number": 1000 "floor": "12", "apartment": "B" } } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
description | String | Descripción |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
- Entregas (object
shipment)
Object shipment | Tipo | Descripción |
receiver_address | Object | Datos de dirección del comprador. |
zip_code | String | Código postal |
state_name | String | Provincia |
city_name | String | Ciudad |
street_number | Integer | Número de calle |
floor | String | Piso |
apartment | String | Apartamento |
local_pickup | Boolean | True si se retira en sucursal, False si no lo hace. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Producto", "picture_url": "", "description": "Descripción de producto", "category_id": "others", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Maria", "surname": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_first_purchase_online": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null }, "shipments": { "mode": "not_specified", "local_pickup": false, "receiver_address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "city_name": "Osasco", "state_name": "São Paulo", "street_number": 1000 "floor": "12", "apartment": "B" } } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código |
title | String | Nombre |
description | String | Descripción |
category_id | String | Categoría |
quantity | Integer | Cantidad |
unit_price | Float | Precio unitario |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre |
last_name | String | Apellido |
identification | Object | Datos de identificación |
identification_type | String | Tipo de identificación |
identification_number | String | Número de identificación |
phone | Object | Teléfono |
area_code | Integer | Código de área |
number | Integer | Número de teléfono |
address | Object | Datos de dirección |
zip_code | String | Código postal |
street_name | String | Nombre de calle |
street_number | Integer | Número de calle |
authentication_type | Enum | Tipo de autenticación ("Gmail" - "Facebook" - "Web Nativa" - "Otro") |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | True si lo es, False si no lo es. |
is_first_purchase_online | Boolean | True si lo es, False si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location --request POST 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2025-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "BRL", "title": "Producto", "picture_url": "", "description": "Descripción de producto", "category_id": "others", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "987654321" }, "address": { "zip_code": "52", "street_name": "Av. das Nações Unidas", "street_number": 1000 }, "identification": { "identification_type": "CPF", "identification_number": "12345678" }, "email": "john@yourdomain.com", "name": "Maria", "surname": "Silva", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_first_purchase_online": false, "is_prime_user": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'
Agrega cualquier información extra que consideres necesaria sobre:
- Ítems (array
items)
Array items | Tipo | Descripción |
id | String | Código de identificación del ítem. |
title | String | Nombre del ítem. |
warranty | Boolean | true si lo es, false si no lo es. |
category_id | String | Categoría del ítem. |
quantity | Integer | Cantidad de unidades para el ítem. |
unit_price | Float | Precio unitario asignado al ítem. Puede ser entero o con decimales. |
- Comprador (object
payer)
Object payer | Tipo | Descripción |
first_name | String | Nombre del comprador. |
last_name | String | Apellido del comprador. |
identification | Object | Datos de identificación del comprador. |
type | String | Tipo de identificación. Se encuentra dentro del objeto identification. |
number | String | Número de identificación. Se encuentra dentro del objeto identification. |
phone | Object | Teléfono del comprador. |
area_code | Integer | Código de área del comprador. Se encuentra dentro del objeto phone. |
number | Integer | Número de teléfono del comprador. Se encuentra dentro del objeto phone. |
address | Object | Datos del domicilio del comprador. |
zip_code | String | Código postal del comprador. Se encuentra dentro del objeto address. |
street_name | String | Nombre de calle del domicilio del comprador. Se encuentra dentro del objeto address. |
street_number | Integer | Número de calle del domicilio del comprador. Se encuentra dentro del objeto address. |
authentication_type | Enum | Tipo de autenticación. Pueden ser "Gmail", "Facebook", "Web Nativa" u "Otro". |
registration_date | Date | Fecha de registro del comprador en el sitio. |
is_prime_user | Boolean | Indica si el usuario es premium. Coloca true si lo es o false si no lo es. |
is_first_purchase_online | Boolean | Indica si es la primera compra del cliente. Coloca true si lo es o false si no lo es. |
last_purchase | Date | Fecha de la última compra en el sitio. |
A continuación, encontrarás un ejemplo de cómo enviar los datos presentados en las tablas anteriores:
curl
curl --location 'https://api.mercadopago.com/checkout/preferences' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {{access_token}}' \ --data-raw '{ "auto_return": "approved", "back_urls": { "failure": "https://www.mercadopago.com/home/failure", "pending": "https://www.mercadopago.com/home/pending", "success": "https://www.mercadopago.com/home/success" }, "notification_url": "https://webhook.site/xyz", "expires": false, "external_reference": "order-123", "date_of_expiration": "2026-03-12T12:58:41.425-04:00", "items": [ { "id": "1234", "currency_id": "MXN", "title": "Producto", "picture_url": "", "description": "Descripción de producto", "category_id": "lottery", "quantity": 1, "unit_price": 150 } ], "payer": { "phone": { "area_code": "11", "number": "619 911 306" }, "address": { "zip_code": "52", "street_name": "Insurgentes Sur", "street_number": 1000 }, "identification": { "identification_type": "-", "identification_number": "12345678" }, "email": "carlota.castellanos@yourdomain.com", "name": "Carlota", "surname": "Castellanos", "date_created": "", "authentication_type": "Facebook", "registration date": "2015-06-02T12:58:41.425-04:00", "is_first_purchase_online": false, "is_prime_user": false, "last_purchase": "2020-01-02T12:58:41.425-04:00" }, "payment_methods": { "excluded_payment_methods": [ { "id": "" } ], "default_installments": null, "default_payment_method_id": null, "excluded_payment_types": [ { "id": "" } ], "installments": null } }'
